Loading...
Searching...
No Matches
seqan3::alignment_matrix_printer< alignment_matrix_t > Struct Template Reference
Sequence Alignment » Matrix

The printer for alignment scoring and trace matrices. More...

`#include <seqan3/alignment/matrix/detail/debug_matrix.hpp>`

Inheritance diagram for seqan3::alignment_matrix_printer< alignment_matrix_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the alignment matrix into the given stream using ascii formatting.
template<typename stream_t, typename arg_t> requires detail::is_type_specialisation_of_v<stream_t, debug_stream_type>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the alignment matrix into the given stream using formatting specified by seqan3::fmtflags2.

## Detailed Description

template<detail::matrix alignment_matrix_t>
struct seqan3::alignment_matrix_printer< alignment_matrix_t >

The printer for alignment scoring and trace matrices.

Prints the alignment matrix to the given formatted ouput stream.

Template Parameters

  alignment_matrix_t | The type of the alignment matrix; must model seqan3::detail::matrix.

## Member Function Documentation

## operator()() [1/2]

template<detail::matrix alignment_matrix_t>
template<typename stream_t, typename arg_t>

void seqan3::alignment_matrix_printer< alignment_matrix_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the alignment matrix into the given stream using ascii formatting.

This overload is selected if the stream is not a seqan3::debug_stream_type and always prints with seqan3::fmtflags2::none.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  stream | The stream to print to.
  arg | The alignment matrix to print.

## operator()() [2/2]

template<detail::matrix alignment_matrix_t>
template<typename stream_t, typename arg_t>
requires detail::is_type_specialisation_of_v<stream_t, debug_stream_type>

void seqan3::alignment_matrix_printer< alignment_matrix_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the alignment matrix into the given stream using formatting specified by seqan3::fmtflags2.

This overload is selected if the stream is a seqan3::debug_stream_type and has a flags2() member function that returns a seqan3::fmtflags2 object. Using the flags2() member function allows to print the matrix with unicode characters if seqan3::fmtflags2::utf8 is set to the seqan3::debug_stream.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  stream | The stream to print to.
  arg | The alignment matrix to print

The documentation for this struct was generated from the following file:

- debug_matrix.hpp

Hide me